/*****************************************************************************/
/*
                                 showlocal.c

This module can be used for a site to customise the $$SHOW$..$$ substitution
directive.  Just add you own test or series of tests to the parameter
processing code below, compile, link and copy to the script executable
directory, and voila!, (a) local substitution directive(s).

This module can then be saved in a local area to be copied-in and built each
time VWcms is updated.

It is suggested that local show parameters begin with an underscore.  This will
ensure that there is no conflict with existing or future VWcms show directives.


VERSION HISTORY
---------------
08-MAR-2009  MGD  initial
*/
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern int  Debug;

/*****************************************************************************/
/*
Return true (1) if the $$SHOW$..$$ parameter was processed correctly, false (0)
if not.  Print to <stdout> any output of the show.
*/

int ShowLocal (char* SubsArg)

{
   char  *cptr;

   /*********/
   /* begin */
   /*********/

   if (Debug) fprintf (stdout, "TemplateShow() |%s|\n", SubsArg);

   if (*(cptr = SubsArg) == '$') cptr++;

   if (!strcmp (cptr, "TEST"))
   {
      fputs ("<b>&nbsp;$$SHOW$TEST$$ successful!!&nbsp;</b>", stdout);
      return (1);
   }

   return (0);
}

/*****************************************************************************/
